// MIXINS, VARIABLES & EXTENDS:

@import "assets";

// BASIC LAYOUT & TYPOGRAPHY:

/* Basic reset: */
html,
body,
div,
span,
applet,
object,
iframe,
h1,
h2,
h3,
h4,
h5,
h6,
p,
blockquote,
pre,
a,
abbr,
acronym,
address,
big,
cite,
code,
del,
dfn,
em,
img,
ins,
kbd,
q,
s,
samp,
small,
strike,
strong,
sub,
sup,
tt,
var,
b,
u,
i,
center,
dl,
dt,
dd,
ol,
ul,
li,
fieldset,
form,
label,
legend,
table,
caption,
tbody,
tfoot,
thead,
tr,
th,
td,
article,
aside,
canvas,
details,
embed,
figure,
figcaption,
footer,
header,
hgroup,
menu,
nav,
output,
ruby,
section,
summary,
time,
mark,
audio,
video {
  margin: 0;
  padding: 0;
  border: 0;
}

body {
  font-family: "Libre Baskerville", serif;
  color: $color-gray-dark;
  background-color: #f0f0f0;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-size: 16px;

  #__next {
    // Flex basic layout: https://philipwalton.com/articles/normalizing-cross-browser-flexbox-bugs/
    @include flexbox();
    @include flex-direction(column);
    max-width: $max-width;
    min-width: $min-width;
    height: 100vh;
    margin: 0 auto;
    padding: 0 20px;

    main {
      @include flex(1 0 auto);
      overflow: visible;
      padding-bottom: 40px;

      h1 {
        color: $color-green;
        font-size: $typo-large-size;
        line-height: $line-height-large-size;
        border-bottom: 2px solid $color-green;
        padding-bottom: 10px;
        font-weight: normal;
      }

      article {
        margin-bottom: 30px;
        em {
          font-style: italic;
        }
        strong {
          font-weight: 700;
        }
      }
    }
  }

  @media (prefers-color-scheme: dark) {
    background-color: #272727;
    color: white;
  }

  // RESPONSIVENESS RULES:

  @media only screen and (max-width: $medium-max-width) {
    #__next {
      .content {
        h1 {
          font-size: $typo-big-size;
          line-height: $line-height-big-size;
          padding-bottom: 5px;
        }
      }
    }
  }
}

//	FALLBACK FOR BROWSERS INCOMPATIBLE WITH FLEXBOX:

.no-flexbox {
  div#__next {
    header,
    .content,
    footer {
      display: none !important;
    }
  }
}
